AnalyticTwoAssetCorrelationEngine Class Reference

Analytic two-asset correlation option engine. More...

`#include <ql/experimental/exoticoptions/analytictwoassetcorrelationengine.hpp>`

Inherits TwoAssetCorrelationOption::engine.

## Public Member Functions

| AnalyticTwoAssetCorrelationEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &p1, const ext::shared_ptr< GeneralizedBlackScholesProcess > &p2, const Handle< Quote > &correlation)
void | calculate () const

## Detailed Description

Analytic two-asset correlation option engine.